#!/bin/bash

LOGFILE="/tmp/`basename $0`.log"
DEBUG=0

oldname=$1
baseoldname=`basename $1`

# move to the dir containing the old file
cd `dirname "$oldname"`

if [ -z "$3" ]; then
   newname=`kdialog                \
      --title 'Move/rename item'   \
      --inputbox "Move/rename the item <$baseoldname> to" $oldname`
else
   newname=`kdialog --getexistingdirectory .`
fi

if [ "$?" = 0 ]; then
   [ $DEBUG -eq 1 ] && \
      echo "$0: kdialog: rename/move <$oldname> to <$newname>" > $LOGFILE
   elif [ "$?" = 1 ]
   then
      [ $DEBUG -eq 1 ] && \
         echo "$0: kdialog: cancel" > $LOGFILE
      exit 0
   else
      [ $DEBUG -eq 1 ] && \
         echo "$0: kdialog: unknown error!" > $LOGFILE
      exit 0
fi

if [ "$2" = "git" ]; then
   cmdmsg="`git mv $oldname $newname 2>&1`"; status=$?
elif [ "$2" = "svn" ]; then
   cmdmsg="`svn mv $oldname $newname 2>&1`"; status=$?
fi

if [ $status -ne 0 ]; then
   kdialog --error "Error: $cmdmsg.\nError code status:: $status"
fi

# bye
exit 0